/***********************************************************************\
 *  File: ListDemo.r 																			  *
 * This file requires the (public domain) program "ResTools" or the    *
 * "Rez" tool from MPW for compilation                                 *
\***********************************************************************/

/***********************************************************************\
 * Resource file for ListDemo.pas, a demonstration of the List Manager *
 * Written June 24-25, 1988 by Richard Clark. 							       *
 * (eMail:: GEnie/MCI/DELPHI/MouseHole -- RDCLARK.  CompuServe users   *
 *  should use the MCI gateway.)                                       *
 * Written at the request of Kevin-Neil Klop of the Borland Product    *
 * Support Roundtable on the GEnie network.                            *
\***********************************************************************/

/***********************************************************************\
 * This software is in the Public Domain, and may be used and modified *
 * freely.         																			  *
\***********************************************************************/

FILETYPE 'rsrc';
CREATOR  'RSED';

resource 'MENU' (128, "Apple") {
    128,
    textMenuProc,
    0xfffffffb,
    enabled,
    "\0x14",
    {
    "About ListDemo", noIcon, noKey, noMark, plain;
    "-", noIcon, noKey, noMark, plain
    }
};

resource 'MENU' (129, "File") {
    129,
    textMenuProc,
    0xfffffff3,
    enabled,
    "File",
    {
    "New", noIcon, 'N', noMark, plain;
    "Close", noIcon, 'W', noMark, plain;  /* initially disabled */
    "-", noIcon, noKey, noMark, plain;
    "Quit", noIcon, 'Q', noMark, plain
    }
};

resource 'WIND' (128) {
    {40, 80, 240, 400},  /* windowRect */
    documentProc,        /* windowType */
    visible,             /* visible or invisible */
    goAway,              /* hasClose */
    -1,                  /* refCon */
    "List Demonstration" /*title */
};

resource  'DITL' (128)
{
  {
    {82, 99, 102, 159},
      Button {enabled, "OK"};
    {3, 80, 20, 171},
      StaticText {disabled, "ListDemo 1.0"};
    {22, 35, 57, 222},
      StaticText {disabled, "A demonstration of the List Manager."};
    {59, 14, 79, 243},
      StaticText {disabled, "by Richard Clark (GEnie: RDCLARK)"}
  }
};

resource  'DLOG' (128 , "About")
{
    {86, 74, 190, 328},
    1,
    visible,
    noGoAway,
    0x0,
    128,
    "About ListDemo"
};

resource 'STR#' (128, "Font sizes") {
    "9";
    "10";
    "12";
    "14";
    "18";
    "20";
    "24"
};

userdefined resource 'vers' (1) {			/* New version resource format beginning with system 6.0 */
  byte:    0x01;			/* First (integer) part of version number, in BCD */
  byte:    0x00;			/* Second and third (decimal) parts of version number, in BCD */
  byte:    0x80;        /* development = 0x20, alpha = 0x40, beta = 0x60, release = 0x80 */
  byte:    0x00;        /* Stage (if any) of non-release version */
  integer: 0; 			   /* Country code (0 = US; see IM I-508 for other countries) */
  pstring: "1.0";       /* Short textual form of version number */
  pstring: "1.0 by Richard Clark (GEnie/MCI/DELPHI: RDCLARK)"
};


userdefined resource 'vers' (2) {			/* "Group" version code */
  byte:    0x01;			/* First (integer) part of version number, in BCD */
  byte:    0x00;			/* Second and third (decimal) parts of version number, in BCD */
  byte:    0x80;        /* development = 0x20, alpha = 0x40, beta = 0x60, release = 0x80 */
  byte:    0x00;        /* Stage (if any) of non-release version */
  integer: 0; 			   /* Country code (0 = US; see IM I-508 for other countries) */
  pstring: "1.0";       /* Short textual form of version number */
  pstring: "ListMgr Demo 1.0"
};


